#ifndef EXTRINO_PORTX_H_
#define EXTRINO_PORTX_H_

#include <avr/io.h>
//#include <util/delay.h>
#include <avr/interrupt.h>


// AUTOMATYCZNE ODWIERZANIE PORTU X
// PORTX naley odwierza rcznie, gdy SPI jest wykorzystywane jeszcze do innych celw
// 1 - wczone
// 0 - wyczone
#define PORTX_AUTOREFRESH		1

struct PORTX_t {
	uint8_t volatile IN;
	uint8_t volatile OUT;
	uint8_t volatile OUTSET;
	uint8_t volatile OUTCLR;
	uint8_t volatile OUTTGL;
};
volatile struct PORTX_t PORTX; 

// inicjalizacja PORTX
void PortxInit(void);

// odwierzenie rejestrw PORTX
#if PORTX_AUTOREFRESH == 0
void PortxRefresh(void);
#endif

#endif /* EXTRINO_PORTX_H_ */