#include "extrino_spi.h"




void SpiInit(void) {
	// sygnay SS dla wszystkich peryferw na eXtrino XL
	PORTA.OUTSET	=	PIN3_bm | PIN4_bm;					// SPI MEM, OP AMP
	PORTA.DIRSET	=	PIN3_bm | PIN4_bm;					// SPI MEM, OP AMP
	PORTE.OUTSET	=	PIN3_bm | PIN6_bm | PIN7_bm;		// SD, PORTX, DIGPOT
	PORTE.DIRSET	=	PIN3_bm | PIN6_bm | PIN7_bm;		// SD, PORTX, DIGPOT
	
	PORTC.DIRSET	=	PIN4_bm | PIN5_bm | PIN7_bm;
	PORTC.DIRCLR	=	PIN6_bm;
	PORTC.OUTCLR	=	PIN7_bm | PIN6_bm | PIN5_bm | PIN4_bm;
	PORTC.REMAP		=	PORT_SPI_bm;						// zamiana miejscami SCK i MOSI
	SPIC.CTRL		=	SPI_ENABLE_bm|
						SPI_MASTER_bm|
						SPI_MODE_3_gc|
						SPI_PRESCALER_DIV64_gc;
	SPIC.INTCTRL	=	SPI_INTLVL_LO_gc;
	
	// przerwania
// 	PMIC.CTRL       =    PMIC_HILVLEN_bm|       // wczenie przerwa o priorytecie HI
//                          PMIC_LOLVLEN_bm;       // wczenie przerwa o priorytecie LO
//     sei();
	
}

uint8_t SpiTransmit(uint8_t data) {
	SPIC.DATA	=	data;
	while(SPIC.STATUS == 0);
	return SPIC.DATA;
}



